org.apache.calcite.avatica.remote

## Class MockJsonService

- java.lang.Object
- - org.apache.calcite.avatica.remote.AbstractService
  - - org.apache.calcite.avatica.remote.JsonService
    - - org.apache.calcite.avatica.remote.MockJsonService

All Implemented Interfaces:
  Service

    public class MockJsonService
    extends JsonService

Mock implementation of `Service` that encodes its requests and responses as JSON and looks up responses from a pre-defined map.

### Nested Class Summary

Nested Classes
`static class` `MockJsonService.Factory` Factory that creates a `MockJsonService`.

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.remote.Service

`Service.Base, Service.CatalogsRequest, Service.CloseConnectionRequest, Service.CloseConnectionResponse, Service.CloseStatementRequest, Service.CloseStatementResponse, Service.ColumnsRequest, Service.CommitRequest, Service.CommitResponse, Service.ConnectionSyncRequest, Service.ConnectionSyncResponse, Service.CreateStatementRequest, Service.CreateStatementResponse, Service.DatabasePropertyRequest, Service.DatabasePropertyResponse, Service.ErrorResponse, Service.ExecuteBatchRequest, Service.ExecuteBatchResponse, Service.ExecuteRequest, Service.ExecuteResponse, Service.FetchRequest, Service.FetchResponse, Service.OpenConnectionRequest, Service.OpenConnectionResponse, Service.PrepareAndExecuteBatchRequest, Service.PrepareAndExecuteRequest, Service.PrepareRequest, Service.PrepareResponse, Service.Request, Service.Response, Service.ResultSetResponse, Service.RollbackRequest, Service.RollbackResponse, Service.RpcMetadataResponse, Service.SchemasRequest, Service.SyncResultsRequest, Service.SyncResultsResponse, Service.TablesRequest, Service.TableTypesRequest, Service.TypeInfoRequest`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.remote.JsonService

`MAPPER`

### Constructor Summary

Constructors
Constructor and Description
`MockJsonService(Map<String,String> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(String request)` Derived class should implement this method to transport requests and responses to and from the peer service.

### Methods inherited from class org.apache.calcite.avatica.remote.JsonService

`apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, apply, decode, encode, handle`

### Methods inherited from class org.apache.calcite.avatica.remote.AbstractService

`setRpcMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockJsonService

    public MockJsonService(Map<String,String> map)

### Method Detail

#### apply

    public String apply(String request)

Description copied from class: `JsonService`
Derived class should implement this method to transport requests and responses to and from the peer service.

Specified by:
  `apply` in class `JsonService`